Package org.apache.commons.jxpath

# Class MapDynamicPropertyHandler

java.lang.Object
org.apache.commons.jxpath.MapDynamicPropertyHandler

All Implemented Interfaces:
  `DynamicPropertyHandler`

public class MapDynamicPropertyHandler extends Object implements DynamicPropertyHandler
Implements the DynamicPropertyHandler interface for `Map`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MapDynamicPropertyHandler()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getProperty(Object object, String propertyName)`
  Returns the value of the specified dynamic property.
  `String[]`
  `getPropertyNames(Object object)`
  Returns a list of dynamic property names for the supplied object.
  `void`
  `setProperty(Object object, String propertyName, Object value)`
  Modifies the value of the specified dynamic property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MapDynamicPropertyHandler

    public MapDynamicPropertyHandler()
    Constructs a new instance.

- ## Method Details

  - ### getProperty

    public Object getProperty(Object object, String propertyName)
    Description copied from interface: `DynamicPropertyHandler`
    Returns the value of the specified dynamic property.
    Specified by:
      `getProperty` in interface `DynamicPropertyHandler`
    Parameters:
      `object` - to search
      `propertyName` - to retrieve
    Returns:
      Object

  - ### getPropertyNames

    public String[] getPropertyNames(Object object)
    Description copied from interface: `DynamicPropertyHandler`
    Returns a list of dynamic property names for the supplied object.
    Specified by:
      `getPropertyNames` in interface `DynamicPropertyHandler`
    Parameters:
      `object` - to inspect
    Returns:
      String[]

  - ### setProperty

    public void setProperty(Object object, String propertyName, Object value)
    Description copied from interface: `DynamicPropertyHandler`
    Modifies the value of the specified dynamic property.
    Specified by:
      `setProperty` in interface `DynamicPropertyHandler`
    Parameters:
      `object` - to modify
      `propertyName` - to modify
      `value` - to set